#include <iostream>
#include <iomanip>
#include <algorithm>

using namespace std;

struct fri
{
    long long a;
    double p;
};

bool porediFri(fri prvi, fri drugi)
{
    return prvi.p > drugi.p;
}

int main()
{
    long long n;
    long long z = 0;
    double porez = 100;
    
    cin >> n;
    fri niz[n];
    
    for(long long i = 0; i < n; i++)
    {
        cin >> niz[i].a >> niz[i].p;
    }
    
    sort(niz, niz + 3, porediFri);
    
    for(long long i = 0; i < n; i++)
    {
        if(z * (porez / 100) <= (z + niz[i].a) * (niz[i].p / 100))
        {
            z += niz[i].a;
            porez = niz[i].p;
        }
    }

    cout << setprecision(15) << z * (porez/100);

    return 0;
}